Skip to content

Issuers

All requests require clientID and developerAPIKey parameters for authentication.

Base URL: https://api-sandboxdash.norcapsecurities.com

Required parameters are permission-gated

A parameter marked Required: Yes is only enforced when the corresponding field permission is enabled for the calling API key. If the key lacks the field permission, the parameter is silently skipped rather than validated.

Endpoints


PUT /v3/createIssuer

This method is used to create an Issuer in Transact API. This method will return the Issuer ID as a successful response.

Parameters

Parameter Type Required Description
issuerName string Yes The name of the issuer.
firstName string Yes The first name of the primary contact for the issuer.
lastName string Yes The last name of the primary contact for the issuer.
email string Yes The email address of the primary contact for the issuer.
phoneNumber integer No The phone number of the primary contact for the issuer.
createdIpAddress string No Created IP Address

Example Request

curl -k -X PUT https://api-sandboxdash.norcapsecurities.com/v3/createIssuer
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d issuerName=JohnDeo
-d firstName=John
-d lastName=Deo
-d phoneNumber=4156985123
-d email=johndeo001@gmail.com
-d createdIpAddress=10.0.0.9

Response

Field Type Description
issuerDetails array Two-element array: index 0 is the insert result boolean, index 1 is an array containing one object with the fields below.
issuerDetails[1][0].issuerId string ID for the issuer
issuerDetails[1][0].issuerStatus string Status of the issuer. Always Pending at creation.

Example Response

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "issuerDetails": [
    true,
    [
      {
        "issuerId": "96763",
        "issuerStatus": "Pending"
      }
    ]
  ]
}

PUT /v3/createIssuerAccount

This method is used to create an issuer account. You will need to specify the Issuer ID(createIssuer) as a request parameter to create the issuer account information. This endpoint is optional for information storage purposes and has no other function.

Parameters

Parameter Type Required Description
issuerId integer Yes Issuer ID that is generated by the API when an Issuer is created(createIssuer)
accountType string No Type of account, for example CHECKING or SAVINGS. Stored as supplied; values are not validated.
companyName string Yes Legal name of the company
companyState string Yes Company's state of registration (Use two-letter state abbreviation)
entityType string No Entity type, for example LLC, LP, Corp, GP, Soleprop. Stored as supplied; values are not validated.
companyTaxID integer No Company's employer tax ID, 9 digits with no hyphens
accountMiddleInitial string No The Issuer's middle initial
socialSecurityNumber string No The Issuer's SSN xxx-xx-xxxx
dob string No The Issuer's DOB (MM-DD-YYYY)
residentUS conditional No Yes or No. Is the issuer a U.S. resident?
citizenUS conditional No Yes or No. Is the issuer a U.S. citizen?
addressline1 string No The Issuer's physical address, line 1
addressline2 string No The Issuer's physical address, line 2
city string No The city of the Issuer's physical address
zip string No The zip code of the Issuer's physical address
country string No The country of the Issuer's physical address
additionalInfo string No Additional information regarding to the Issuer
createdIpAddress string Yes Requested IP Address
issuingCountry string Yes The Issuer's physical address, issuing country

Example Request

curl -k -X PUT https://api-sandboxdash.norcapsecurities.com/v3/createIssuerAccount
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d issuerId=652683
-d accountType=Checking
-d companyName=Ephron
-d companyState=GA
-d entityType=gp
-d companyTaxID=112-22-3333
-d accountMiddleInitial=R
-d socialSecurityNumber=112-22-3333
-d dob=1987-05-05
-d residentUS=yes
-d citizenUS=yes
-d addressline1=222333 PEACHTREE PLACE
-d addressline2=SUITE 43
-d city=ATLANTA
-d zip=30318
-d country=GA
-d issuingCountry=GA
-d additionalInfo=Text
-d createdIpAddress=10.0.0.9

Response

Field Type Description
Financial issuer details array When a new record is inserted, a two-element array: index 0 is the insert result boolean and index 1 is an array of issuer details ( issuerId, companyName, companyState, companyTaxID, entityType, issuingCountry, accountType, accountMiddleInitial, socialSecurityNumber, dob, residentUS, citizenUS, addressLine1, addressLine2, city, zip, country, additionalInfo, issuerStatus, createdDate, createdIpAddress ). When an account already exists for the issuer, the record is updated instead and the response contains only key "1" (no index 0).

The socialSecurityNumber and dob values in this response are returned base64-encoded, exactly as stored. Only getIssuerAccount decodes them.

Example Response

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "Financial issuer details": [
    true,
    [
      {
        "issuerId": "882512",
        "companyName": "US private limited",
        "companyState": "CA",
        "companyTaxID": "65896546654",
        "entityType": "llc",
        "issuingCountry": "USA",
        "accountType": "Saving",
        "accountMiddleInitial": "M",
        "socialSecurityNumber": "MTEyLTIyLTMzMzM=",
        "dob": "MDItMjgtMTk3NQ==",
        "residentUS": "yes",
        "citizenUS": "yes",
        "addressLine1": "PEACH TREE",
        "addressLine2": "1st street",
        "city": "ATLANTA",
        "zip": "30318",
        "country": "USA",
        "additionalInfo": "Private concern",
        "issuerStatus": "Pending",
        "createdDate": "2014-11-26 04:05:50",
        "createdIpAddress": "10.0.0.114"
      }
    ]
  ]
}

POST /v3/deleteIssuer

This method is used to delete a particular issuer from Transact API. The delete is a virtual delete. You will need to specify the Issuer ID as a request parameter to delete an issuer.

Parameters

Parameter Type Required Description
issuerId integer Yes Issuer ID that is generated by the API when an Issuer is created(createIssuer)

Example Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/v3/deleteIssuer
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d issuerId=652683

Response

The response is the standard { statusCode, statusDesc } envelope; no issuer fields are returned.

Example Response

{
  "statusCode": "101",
  "statusDesc": "Issuer deleted successfully!"
}

POST /v3/deleteIssuerAccount

This method is used to delete a particular Issuer financial account from Transact API. The delete is a virtual delete. You will need to specify the Issuer ID as a request parameter to delete the Issuer Financial Account.

Parameters

Parameter Type Required Description
issuerId integer Yes Issuer ID that is generated by the API when an Issuer is created (createIssuer)
providerid integer No Custodian (provider) ID. When supplied, only the matching custodian account record is deleted; otherwise all custodian account records for the issuer are deleted.

Example Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/v3/deleteIssuerAccount
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d issuerId=652683

Response

Example Response

{
  "statusCode": "101",
  "statusDesc": "Issuer Financial Account deleted successfully!"
}

POST /v3/getAllIssuers

Deprecated

This endpoint is deprecated and may be removed in a future version.

Get all issuers for a given client

Example Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/v3/getAllIssuers
-d clientID=someclientid
-d developerAPIKey=somedeveloperkey

Response

Field Type Description
issuerDetails string Get issuers details array

Example Response

{
    "statusCode": "101",
    "statusDesc": "Ok",
    "issuerDetails":someArray
}

POST /v3/getIssuer

This method is used to get information about an issuer. You will need to specify the Issuer ID as a request parameter to get the issuer information.

Parameters

Parameter Type Required Description
issuerId string Yes Issuer ID that is generated by the API when an Issuer is created (createIssuer)

Example Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/v3/getIssuer
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d issuerId=652683

Response

Field Type Description
issuerDetails string Array of issuer details includes all information of the matched issuers (issuerId, issuerName, firstName, lastName, email, phoneNumber, issuerStatus)

Example Response

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "issuerDetails": [
    {
      "issuerId": "96763",
      "issuerName": "EphronSys",
      "firstName": "Ephron",
      "lastName": "Sys",
      "email": "ephronprabhu@gmail.com",
      "phoneNumber": null,
      "issuerStatus": "Pending"
    }
  ]
}

POST /v3/getIssuerAccount

This method is used to get information about the issuer account. You will need to specify the Issuer ID(createIssuer) as a request parameter to get the issuer account information.

Parameters

Parameter Type Required Description
issuerId string Yes Issuer ID that is generated by the API when an Issuer is created (createIssuer)

Example Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/v3/getIssuerAccount
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d issuerId=564631

Response

Field Type Description
issuerId string The issuer ID from the request.
Financial issuer details array Array of custodian bank account records, each with CustodianName, CustodianAccountNumber, RoutingNumber, AccountNumber, AccountName, and funds.
statusDesc object Object of issuer account fields (not a status string): issuerId, accountfirstName, accountlastName, accountType, companyName, companyState, entityType, companyTaxID, accountMiddleInitial, socialSecurityNumber, dob, residentUS, citizenUS, addressLine1, addressLine2, city, state, zip, country, issuingCountry, additionalInfo, issuerAccountStatus. socialSecurityNumber and dob are returned decoded.

Example Response

{
    "statusCode": "101",
    "issuerId": "882512",
    "Financial issuer details": [
        {
            "CustodianName": "Sample",
            "CustodianAccountNumber": "363737398390",
            "RoutingNumber": "63838030303",
            "AccountNumber": "NC-882512",
            "AccountName": "john smith",
            "funds": "10000.00"
        },
        {
            "CustodianName": "Testing",
            "CustodianAccountNumber": "9868465646",
            "RoutingNumber": "123456789",
            "AccountNumber": "NC-882512",
            "AccountName": "JOHN SMITH",
            "funds": "4000.00"
        }
    ],
    "statusDesc": {
        "issuerId": "882512",
        "accountfirstName": "JOHN",
        "accountlastName": "SMITH",
        "accountType": "saving",
        "companyName": "ephsys",
        "companyState": "CA",
        "entityType": "llc",
        "companyTaxID": "7568567567",
        "accountMiddleInitial": "M",
        "socialSecurityNumber": "112-22-3333",
        "dob": "02-28-1975",
        "residentUS": "yes",
        "citizenUS": "yes",
        "addressLine1": "PEACHTREE",
        "addressLine2": "PALACE",
        "city": "ATLANTA",
        "state": "GA",
        "zip": "30318",
        "country": "USA",
        "issuingCountry": "USA",
        "additionalInfo": "Issuer Text",
        "issuerAccountStatus": "approved"
    }
}

GET /v3/issuers

Fetch a list of issuer resources associated with this client. Issuers are ordered by created date with the most recently created issuer at index zero.

Permissions

This method requires the scope issuer.read.pii_medium to be granted to the calling API key.

This scope can be assigned by system admins through the API or Transact Portal.

Authorization

Header: Authorization: Bearer clientId:apiKey

Query Parameters

Parameter Type Default Description
offset integer 0 The row index at which to begin the query. Zero represents the first issuer in the list.
limit integer 10 The maximum number of issuers to return. Max value is 500.
deleted boolean false Include deleted issuers in response.
filter string (JSON) Filter results by specific fields.
sort string Sort results by specific fields.

Filtering

For more information see Working with List Endpoints.

Example Request

curl -k -X GET 'https://api-sandboxdash.norcapsecurities.com/v3/issuers?offset=0&limit=10' \
  -H 'Authorization: Bearer someclientid:somedeveloperkey'

Response Fields

The response envelope contains the issuers array and a pagination object.

Field Type Description
statusCode string 101 on success.
statusDesc string Human-readable status description (Ok on success).
issuers array List of issuer objects (see fields below).
pagination object Pagination metadata for the result window.

Each object in the issuers array contains:

Field Type Description
issuerId string Unique identifier for the issuer, generated when the issuer is created.
issuerName string The name of the issuer.
firstName string The first name of the primary contact for the issuer.
lastName string The last name of the primary contact for the issuer.
email string The email address of the primary contact for the issuer.
phoneNumber string | null The phone number of the primary contact for the issuer. null when not provided.
issuerStatus string Free-form status of the issuer. Always set to Pending at creation. Subsequent values (for example Approved) are whatever is supplied via updateIssuer.

The pagination object contains:

Field Type Description
totalRecords integer Total number of issuers matching the query, ignoring offset and limit.
startIndex integer The zero-based index of the first issuer returned (equal to the requested offset).
endIndex integer The zero-based index of the last issuer returned in this page.

Example Response

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "issuers": [
    {
      "issuerId": "96763",
      "issuerName": "EphronSys",
      "firstName": "Ephron",
      "lastName": "Sys",
      "email": "ephronprabhu@gmail.com",
      "phoneNumber": null,
      "issuerStatus": "Pending"
    },
    {
      "issuerId": "654312",
      "issuerName": "ncissuer",
      "firstName": "john",
      "lastName": "issLNhxN",
      "email": "ncissuer198@yopmail.com",
      "phoneNumber": "1234567890",
      "issuerStatus": "Approved"
    }
  ],
  "pagination": {
    "totalRecords": 2,
    "startIndex": 0,
    "endIndex": 1
  }
}

POST /v3/searchIssuer

Deprecated

This endpoint is deprecated and may be removed in a future version.

This method is used to search issuers by keyword. The keyword is matched exactly against issuerId, or as a substring of firstName or lastName. Other fields, including issuerName, are not searched. Results are scoped to the developer API key.

Parameters

Parameter Type Required Description
searchKeyword string Yes Keyword to search. Matched exactly against issuerId, or as a substring of firstName or lastName.

Example Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/v3/searchIssuer
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d searchKeyword=652683

Response

Field Type Description
issuerDetails string Array of issuers includes all information of the matched issuers ( issuerId, issuerName, firstName, lastName, email, phoneNumber, issuerStatus )

Example Response

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "issuerDetails": [
    {
      "issuerId": "654312",
      "issuerName": "ncissuer",
      "firstName": "john",
      "lastName": "issLNhxN",
      "email": "ncissuer198@yopmail.com",
      "phoneNumber": "1234567890",
      "issuerStatus": "approved"
    }
  ]
}

POST /v3/updateIssuer

This method is used to update a particular issuer in Transact API. You will need to specify the Issuer ID as a request parameter for the update to take place.

Parameters

Parameter Type Required Description
issuerId integer Yes Issuer ID that is generated by the API when an Issuer is created (createIssuer)
issuerName string Yes The name of the issuer.
firstName string Yes The first name of the primary contact for the issuer.
lastName string Yes The last name of the primary contact for the issuer.
email string Yes The email address of the primary contact for the issuer.
phoneNumber integer No The phone number of the primary contact for the issuer.
issuerStatus string No Status to store for the issuer (for example Approved). Stored as supplied; no fixed set of values is enforced.
updatedIpAddress string Yes Requested IP Address

Example Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/v3/updateIssuer
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d issuerId=652683

Response

Field Type Description
issuerDetails array Two-element array: index 0 is the update result boolean, index 1 is an array containing one object with the fields below.
issuerDetails[1][0].issuerId string ID for the issuer
issuerDetails[1][0].issuerStatus string Status of the issuer as currently stored (for example Approved).

Example Response

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "issuerDetails": [
    true,
    [
      {
        "issuerId": "96763",
        "issuerStatus": "Pending"
      }
    ]
  ]
}

POST /v3/updateIssuerAccount

This method is used to update an existing issuer account. You will need to specify the Issuer ID(createIssuer) as a request parameter to update the issuer account information.

Parameters

Parameter Type Required Description
issuerId integer Yes Issuer ID that is generated by the API when an Issuer is created(createIssuer)
accountType string No Type of account, for example CHECKING or SAVINGS. Stored as supplied; values are not validated.
companyName string Yes Legal name of the company
companyState string Yes Company's state of registration (Use two-letter state abbreviation)
entityType string No Entity type, for example LLC, LP, Corp, GP, Soleprop. Stored as supplied; values are not validated.
companyTaxID integer No Company's employer tax ID, 9 digits with no hyphens
accountMiddleInitial string No The Issuer's middle initial
socialSecurityNumber string No The Issuer's SSN xxx-xx-xxxx
dob string No The Issuer's DOB (MM-DD-YYYY)
residentUS conditional No Yes or No. Is the issuer a U.S. resident?
citizenUS conditional No Yes or No. Is the issuer a U.S. citizen?
addressline1 string No The Issuer's physical address, line 1
addressline2 string No The Issuer's physical address, line 2
city string No The city of the Issuer's physical address
zip string No The zip code of the Issuer's physical address
country string No The country of the Issuer's physical address
additionalInfo string No Additional information regarding to the Issuer
providerId integer No Custodian ID
bankName string No Name of the bank
bankRoutingNumber integer No Issuer's routing number
accountNumber integer No Account number issued by the bank
updatedIpAddress integer Yes Updated IP Address
issuingCountry string Yes The Issuer's physical address, issuing country

Example Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/v3/updateIssuerAccount 
-d developerAPIKey=somedeveloperkey 
-d clientID=someclientid 
-d issuerId=652683 
-d accountType=Checking 
-d companyName=Ephron 
-d companyState=GA 
-d entityType=gp 
-d companyTaxID=112-22-3333 
-d accountMiddleInitial=R 
-d socialSecurityNumber=112-22-3333 
-d dob=1987-05-05 
-d residentUS=yes 
-d citizenUS=yes 
-d addressline1=222333 PEACHTREE PLACE 
-d addressline2=SUITE 43 
-d city=ATLANTA 
-d zip=30318 
-d country=GA 
-d issuingCountry=GA 
-d additionalInfo=Text 
-d updatedIpAddress=10.0.0.9

Response

Field Type Description
Financial issuer details array Two-element array: index 0 is the update result boolean, index 1 is an array containing one object with the updated issuerId.

Example Response

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "Financial issuer details": [
    true,
    [
      {
        "issuerId": "882512"
      }
    ]
  ]
}